Update a rule
curl --request PATCH \
--url https://api.arklow.io/v1/orgs/{org_id}/rules/{id} \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"status": "active",
"expression": "<string>",
"priority": 123,
"phase": "<string>",
"effect": "dispatch",
"effect_payload": "<unknown>"
}
'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/rules/{id}"
payload = {
"status": "active",
"expression": "<string>",
"priority": 123,
"phase": "<string>",
"effect": "dispatch",
"effect_payload": "<unknown>"
}
headers = {
"x-arklow-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-arklow-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'active',
expression: '<string>',
priority: 123,
phase: '<string>',
effect: 'dispatch',
effect_payload: '<unknown>'
})
};
fetch('https://api.arklow.io/v1/orgs/{org_id}/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"org_id": "<string>",
"name": "<string>",
"status": "active",
"expression": "<string>",
"priority": 123,
"phase": "<string>",
"effect": "dispatch",
"action_definition_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"effect_payload": "<unknown>",
"deleted_at": "2023-11-07T05:31:56Z",
"action_definition": {
"id": "<string>",
"org_id": "<string>",
"variant": "<string>",
"version": 123,
"alias": [
"<string>"
],
"schema": "<unknown>",
"deleted_at": "2023-11-07T05:31:56Z",
"destinations": [
{
"id": "<string>",
"action_definition_id": "<string>",
"destination_id": "<string>",
"org_id": "<string>",
"is_default": true,
"destination": {
"id": "<string>",
"org_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": true,
"default": "ack"
},
"response_time_sla_ms": 2,
"partition_tag_key": "<string>"
},
"capacity_domain_ids": [
"<string>"
],
"deleted_at": "2023-11-07T05:31:56Z",
"tags": {},
"credential_id": "<string>"
}
}
]
}
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}Update a rule
PATCH
/
v1
/
orgs
/
{org_id}
/
rules
/
{id}
Update a rule
Authorizations
Query Parameters
Body
application/json
Available options:
active effect
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
Available options:
dispatch